### INFO

#### Synopsis

    HELP:   Provides various information
    TYPE:   OBJECT
    SYNTAX: > flam4 INFO(NET.{},GET.{},FMT=LIST/XML,OUT='str'/STDOUT/STDERR,DIR(),LOG())

#### Description

The INFO command provides further information about local or remote files, CCSIDs among others. To use CONV and other commands it is sometimes useful to know which CCSIDs are supported or which members are in a FLAMFILE or how the file attributes are named. The system information (environment, default values, hardware support) may be helpful information to diagnose errors.

To get syntax information, please use:

       flam4 SYNTAX INFO

To get help for a parameter, please use:

       flam4 HELP INFO.parameter[.parameter[...]]

To read the manual page for a parameter, please use:

       flam4 MANPAGE INFO.parameter[.parameter[...]]
          or
       flam4 HELP INFO.parameter[.parameter[...]] MAN

To generate the user manual for a command, please use:

       flam4 GENDOCU INFO=filename

Parameters can be defined by the command line (directly or per file) or by properties read from the corresponding property file.

#### Examples

       flam4 INFO get.system
       flam4 INFO get.ccsids
       flam4 INFO get.file='test.adc' out='list.txt'
       flam4 INFO get.file='ssh://<cuser>@server1/test.adc' out='list.txt'
       flam4 INFO get.file='~.*' dir(rec) out='list.txt'
       flam4 INFO get.fkme(help)

#### Arguments

- `NUMBER: FMT=LIST/XML - Specify formatting of information [LIST]`
  - `LIST - Provide information as list`
  - `XML - Provide information in XML-structure`